diff --git a/ct/lidarr-v5.sh b/ct/lidarr-v5.sh
new file mode 100644
index 00000000..aa63a68d
--- /dev/null
+++ b/ct/lidarr-v5.sh
@@ -0,0 +1,370 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ __ _ __
+ / / (_)___/ /___v5__________
+ / / / / __ / __ `/ ___/ ___/
+ / /___/ / /_/ / /_/ / / / /
+/_____/_/\__,_/\__,_/_/ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Lidarr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:8686${CL} \n"
diff --git a/ct/prowlarr-v5.sh b/ct/prowlarr-v5.sh
new file mode 100644
index 00000000..dbf5a5e8
--- /dev/null
+++ b/ct/prowlarr-v5.sh
@@ -0,0 +1,370 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ ____ __
+ / __ \_________ _ __/ /___v5__________
+ / /_/ / ___/ __ \ | /| / / / __ `/ ___/ ___/
+ / ____/ / / /_/ / |/ |/ / / /_/ / / / /
+/_/ /_/ \____/|__/|__/_/\__,_/_/ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Prowlarr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:9696${CL} \n"
diff --git a/ct/radarr-v5.sh b/ct/radarr-v5.sh
new file mode 100644
index 00000000..ad68253e
--- /dev/null
+++ b/ct/radarr-v5.sh
@@ -0,0 +1,370 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ ____ __
+ / __ \____ _____/ /___v5__________
+ / /_/ / __ `/ __ / __ `/ ___/ ___/
+ / _, _/ /_/ / /_/ / /_/ / / / /
+/_/ |_|\__,_/\__,_/\__,_/_/ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Radarr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:7878${CL} \n"
diff --git a/ct/readarr-v5.sh b/ct/readarr-v5.sh
new file mode 100644
index 00000000..a8e596d0
--- /dev/null
+++ b/ct/readarr-v5.sh
@@ -0,0 +1,370 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ ____ __
+ / __ \___ ____ _____/ /___v5__________
+ / /_/ / _ \/ __ `/ __ / __ `/ ___/ ___/
+ / _, _/ __/ /_/ / /_/ / /_/ / / / /
+/_/ |_|\___/\__,_/\__,_/\__,_/_/ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Readarr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:8787${CL} \n"
diff --git a/ct/sonarr-v5.sh b/ct/sonarr-v5.sh
new file mode 100644
index 00000000..2207fb65
--- /dev/null
+++ b/ct/sonarr-v5.sh
@@ -0,0 +1,370 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ _____
+ / ___/____ ____ ____v5__________
+ \__ \/ __ \/ __ \/ __ `/ ___/ ___/
+ ___/ / /_/ / / / / /_/ / / / /
+/____/\____/_/ /_/\__,_/_/ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Sonarr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:8989${CL} \n"
diff --git a/ct/whisparr-v5.sh b/ct/whisparr-v5.sh
new file mode 100644
index 00000000..ed21646d
--- /dev/null
+++ b/ct/whisparr-v5.sh
@@ -0,0 +1,371 @@
+#!/usr/bin/env bash
+function header_info {
+ cat <<"EOF"
+ _ ____ _
+| | / / /_ (_)________ ____v5__________
+| | /| / / __ \/ / ___/ __ \/ __ `/ ___/ ___/
+| |/ |/ / / / / (__ ) /_/ / /_/ / / / /
+|__/|__/_/ /_/_/____/ .___/\__,_/_/ /_/
+ /_/
+
+EOF
+}
+clear
+header_info
+echo -e "Loading..."
+APP="Whisparr"
+var_disk="4"
+var_cpu="2"
+var_ram="1024"
+var_os="debian"
+var_version="11"
+NSAPP=$(echo ${APP,,} | tr -d ' ')
+var_install="${NSAPP}-v5-install"
+INTEGER='^[0-9]+$'
+YW=$(echo "\033[33m")
+BL=$(echo "\033[36m")
+RD=$(echo "\033[01;31m")
+BGN=$(echo "\033[4;92m")
+GN=$(echo "\033[1;92m")
+DGN=$(echo "\033[32m")
+CL=$(echo "\033[m")
+BFR="\\r\\033[K"
+HOLD="-"
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+function PVE_CHECK() {
+ PVE=$(pveversion | grep "pve-manager/7" | wc -l)
+ if [[ $PVE != 1 ]]; then
+ echo -e "${RD}This script requires Proxmox Virtual Environment 7.0 or greater${CL}"
+ echo -e "Exiting..."
+ sleep 2
+ exit
+ fi
+}
+
+if command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC" --yesno "This will create a New ${APP} LXC. Proceed?" 10 58); then
+ NEXTID=$(pvesh get /cluster/nextid)
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+if ! command -v pveversion >/dev/null 2>&1; then
+ if (whiptail --title "${APP} LXC UPDATE" --yesno "This will update ${APP} LXC. Proceed?" 10 58); then
+ echo "User selected Update"
+ else
+ clear
+ echo -e "⚠ User exited script \n"
+ exit
+ fi
+fi
+
+function default_settings() {
+ echo -e "${DGN}Using Container Type: ${BGN}Unprivileged${CL} ${RD}NO DEVICE PASSTHROUGH${CL}"
+ CT_TYPE="1"
+ echo -e "${DGN}Using Root Password: ${BGN}Automatic Login${CL}"
+ PW=""
+ echo -e "${DGN}Using Container ID: ${BGN}$NEXTID${CL}"
+ CT_ID=$NEXTID
+ echo -e "${DGN}Using Hostname: ${BGN}$NSAPP${CL}"
+ HN=$NSAPP
+ echo -e "${DGN}Using Disk Size: ${BGN}$var_disk${CL}${DGN}GB${CL}"
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Allocated Cores ${BGN}$var_cpu${CL}"
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Ram ${BGN}$var_ram${CL}"
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Using Bridge: ${BGN}vmbr0${CL}"
+ BRG="vmbr0"
+ echo -e "${DGN}Using Static IP Address: ${BGN}dhcp${CL}"
+ NET=dhcp
+ echo -e "${DGN}Using Gateway Address: ${BGN}Default${CL}"
+ GATE=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}Default${CL}"
+ MTU=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ SD=""
+ echo -e "${DGN}Using DNS Server Address: ${BGN}Host${CL}"
+ NS=""
+ echo -e "${DGN}Using MAC Address: ${BGN}Default${CL}"
+ MAC=""
+ echo -e "${DGN}Using VLAN Tag: ${BGN}Default${CL}"
+ VLAN=""
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ echo -e "${BL}Creating a ${APP} LXC using the above default settings${CL}"
+}
+function advanced_settings() {
+ CT_TYPE=$(whiptail --title "CONTAINER TYPE" --radiolist --cancel-button Exit-Script "Choose Type" 10 58 2 \
+ "1" "Unprivileged" ON \
+ "0" "Privileged" OFF \
+ 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ echo -e "${DGN}Using Container Type: ${BGN}$CT_TYPE${CL}"
+ fi
+ PW1=$(whiptail --inputbox "Set Root Password (needed for root ssh access)" 8 58 --title "PASSWORD (leave blank for automatic login)" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $PW1 ]; then
+ PW1="Automatic Login" PW=" "
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ else
+ PW="-password $PW1"
+ echo -e "${DGN}Using Root Password: ${BGN}$PW1${CL}"
+ fi
+ fi
+ CT_ID=$(whiptail --inputbox "Set Container ID" 8 58 $NEXTID --title "CONTAINER ID" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_ID ]; then
+ CT_ID="$NEXTID"
+ echo -e "${DGN}Container ID: ${BGN}$CT_ID${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Container ID: ${BGN}$CT_ID${CL}"; fi
+ fi
+ CT_NAME=$(whiptail --inputbox "Set Hostname" 8 58 $NSAPP --title "HOSTNAME" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CT_NAME ]; then
+ HN="$NSAPP"
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ else
+ if [ $exitstatus = 0 ]; then
+ HN=$(echo ${CT_NAME,,} | tr -d ' ')
+ echo -e "${DGN}Using Hostname: ${BGN}$HN${CL}"
+ fi
+ fi
+ DISK_SIZE=$(whiptail --inputbox "Set Disk Size in GB" 8 58 $var_disk --title "DISK SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $DISK_SIZE ]; then
+ DISK_SIZE="$var_disk"
+ echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Disk Size: ${BGN}$DISK_SIZE${CL}"; fi
+ if ! [[ $DISK_SIZE =~ $INTEGER ]]; then
+ echo -e "${RD}⚠ DISK SIZE MUST BE A INTEGER NUMBER!${CL}"
+ advanced_settings
+ fi
+ fi
+ CORE_COUNT=$(whiptail --inputbox "Allocate CPU Cores" 8 58 $var_cpu --title "CORE COUNT" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $CORE_COUNT ]; then
+ CORE_COUNT="$var_cpu"
+ echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated Cores: ${BGN}$CORE_COUNT${CL}"; fi
+ fi
+ RAM_SIZE=$(whiptail --inputbox "Allocate RAM in MiB" 8 58 $var_ram --title "RAM" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $RAM_SIZE ]; then
+ RAM_SIZE="$var_ram"
+ echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Allocated RAM: ${BGN}$RAM_SIZE${CL}"; fi
+ fi
+ BRG=$(whiptail --inputbox "Set a Bridge" 8 58 vmbr0 --title "BRIDGE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $BRG ]; then
+ BRG="vmbr0"
+ echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using Bridge: ${BGN}$BRG${CL}"; fi
+ fi
+ NET=$(whiptail --inputbox "Set a Static IPv4 CIDR Address(/24)" 8 58 dhcp --title "IP ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ -z $NET ]; then
+ NET="dhcp"
+ echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"
+ else
+ if [ $exitstatus = 0 ]; then echo -e "${DGN}Using IP Address: ${BGN}$NET${CL}"; fi
+ fi
+ GATE1=$(whiptail --inputbox "Set a Gateway IP (mandatory if Static IP was used)" 8 58 --title "GATEWAY IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $GATE1 ]; then
+ GATE1="Default" GATE=""
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ else
+ GATE=",gw=$GATE1"
+ echo -e "${DGN}Using Gateway IP Address: ${BGN}$GATE1${CL}"
+ fi
+ fi
+ MTU1=$(whiptail --inputbox "Set Interface MTU Size (leave blank for default)" 8 58 --title "MTU SIZE" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MTU1 ]; then
+ MTU1="Default" MTU=""
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ else
+ MTU=",mtu=$MTU1"
+ echo -e "${DGN}Using Interface MTU Size: ${BGN}$MTU1${CL}"
+ fi
+ fi
+ SD=$(whiptail --inputbox "Set a DNS Search Domain (leave blank for HOST)" 8 58 --title "DNS Search Domain" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $SD ]; then
+ SD=""
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}Host${CL}"
+ else
+ SX=$SD
+ SD="-searchdomain=$SD"
+ echo -e "${DGN}Using DNS Search Domain: ${BGN}$SX${CL}"
+ fi
+ fi
+ NS=$(whiptail --inputbox "Set a DNS Server IP (leave blank for HOST)" 8 58 --title "DNS SERVER IP" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $NS ]; then
+ NS=""
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}Host${CL}"
+ else
+ NX=$NS
+ NS="-nameserver=$NS"
+ echo -e "${DGN}Using DNS Server IP Address: ${BGN}$NX${CL}"
+ fi
+ fi
+ MAC1=$(whiptail --inputbox "Set a MAC Address(leave blank for default)" 8 58 --title "MAC ADDRESS" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $MAC1 ]; then
+ MAC1="Default" MAC=""
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ else
+ MAC=",hwaddr=$MAC1"
+ echo -e "${DGN}Using MAC Address: ${BGN}$MAC1${CL}"
+ fi
+ fi
+ VLAN1=$(whiptail --inputbox "Set a Vlan(leave blank for default)" 8 58 --title "VLAN" --cancel-button Exit-Script 3>&1 1>&2 2>&3)
+ exitstatus=$?
+ if [ $exitstatus = 0 ]; then
+ if [ -z $VLAN1 ]; then
+ VLAN1="Default" VLAN=""
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ else
+ VLAN=",tag=$VLAN1"
+ echo -e "${DGN}Using Vlan: ${BGN}$VLAN1${CL}"
+ fi
+ fi
+ if (whiptail --defaultno --title "SSH ACCESS" --yesno "Enable Root SSH Access?" 10 58); then
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}Yes${CL}"
+ SSH="yes"
+ else
+ echo -e "${DGN}Enable Root SSH Access: ${BGN}No${CL}"
+ SSH="no"
+ fi
+ if (whiptail --defaultno --title "VERBOSE MODE" --yesno "Enable Verbose Mode?" 10 58); then
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}Yes${CL}"
+ VERB="yes"
+ VERB2=""
+ else
+ echo -e "${DGN}Enable Verbose Mode: ${BGN}No${CL}"
+ VERB="no"
+ VERB2="silent"
+ fi
+ if (whiptail --title "ADVANCED SETTINGS COMPLETE" --yesno "Ready to create ${APP} LXC?" --no-button Do-Over 10 58); then
+ echo -e "${RD}Creating a ${APP} LXC using the above advanced settings${CL}"
+ else
+ clear
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+function install_script() {
+ if (whiptail --title "SETTINGS" --yesno "Use Default Settings?" --no-button Advanced 10 58); then
+ header_info
+ echo -e "${BL}Using Default Settings${CL}"
+ default_settings
+ else
+ header_info
+ echo -e "${RD}Using Advanced Settings${CL}"
+ advanced_settings
+ fi
+}
+
+function update_script() {
+clear
+header_info
+msg_info "Updating Debian LXC"
+apt-get update &>/dev/null
+apt-get -y upgrade &>/dev/null
+msg_ok "Updated Debian LXC"
+exit
+}
+clear
+if ! command -v pveversion >/dev/null 2>&1; then update_script; else install_script; fi
+if [ "$VERB" == "yes" ]; then set -x; fi
+if [ "$CT_TYPE" == "1" ]; then
+ FEATURES="nesting=1,keyctl=1"
+else
+ FEATURES="nesting=1"
+fi
+TEMP_DIR=$(mktemp -d)
+pushd $TEMP_DIR >/dev/null
+export VERBOSE=$VERB
+export STD=$VERB2
+export SSH_ROOT=${SSH}
+export CTID=$CT_ID
+export PCT_OSTYPE=$var_os
+export PCT_OSVERSION=$var_version
+export PCT_DISK_SIZE=$DISK_SIZE
+export PCT_OPTIONS="
+ -features $FEATURES
+ -hostname $HN
+ $SD
+ $NS
+ -net0 name=eth0,bridge=$BRG$MAC,ip=$NET$GATE$VLAN$MTU
+ -onboot 1
+ -cores $CORE_COUNT
+ -memory $RAM_SIZE
+ -unprivileged $CT_TYPE
+ $PW
+"
+bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/ct/create_lxc.sh)" || exit
+msg_info "Starting LXC Container"
+pct start $CTID
+msg_ok "Started LXC Container"
+lxc-attach -n $CTID -- bash -c "$(wget -qLO - https://raw.githubusercontent.com/tteck/Proxmox/main/install/$var_install.sh)" || exit
+IP=$(pct exec $CTID ip a s dev eth0 | sed -n '/inet / s/\// /p' | awk '{print $2}')
+pct set $CTID -description "# ${APP} LXC
+### https://tteck.github.io/Proxmox/
+"
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} should be reachable by going to the following URL.
+ ${BL}http://${IP}:6969${CL} \n"
diff --git a/install/lidarr-v5-install.sh b/install/lidarr-v5-install.sh
new file mode 100644
index 00000000..53d35fcc
--- /dev/null
+++ b/install/lidarr-v5-install.sh
@@ -0,0 +1,144 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y sqlite3
+$STD apt-get install -y libchromaprint-tools
+$STD apt-get install -y mediainfo
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Lidarr"
+mkdir -p /var/lib/lidarr/
+chmod 775 /var/lib/lidarr/
+$STD wget --content-disposition 'https://lidarr.servarr.com/v1/update/master/updatefile?os=linux&runtime=netcore&arch=x64'
+$STD tar -xvzf Lidarr.master.*.tar.gz
+mv Lidarr /opt
+chmod 775 /opt/Lidarr
+msg_ok "Installed Lidarr"
+
+msg_info "Creating Service"
+cat </etc/systemd/system/lidarr.service
+[Unit]
+Description=Lidarr Daemon
+After=syslog.target network.target
+[Service]
+UMask=0002
+Type=simple
+ExecStart=/opt/Lidarr/Lidarr -nobrowser -data=/var/lib/lidarr/
+TimeoutStopSec=20
+KillMode=process
+Restart=on-failure
+[Install]
+WantedBy=multi-user.target
+EOF
+systemctl -q daemon-reload
+systemctl enable --now -q lidarr
+msg_ok "Created Service"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+rm -rf Lidarr.master.*.tar.gz
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"
diff --git a/install/prowlarr-v5-install.sh b/install/prowlarr-v5-install.sh
new file mode 100644
index 00000000..71fcd5fb
--- /dev/null
+++ b/install/prowlarr-v5-install.sh
@@ -0,0 +1,142 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y sqlite3
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Prowlarr"
+mkdir -p /var/lib/prowlarr/
+chmod 775 /var/lib/prowlarr/
+$STD wget --content-disposition 'https://prowlarr.servarr.com/v1/update/master/updatefile?os=linux&runtime=netcore&arch=x64'
+$STD tar -xvzf Prowlarr.master.*.tar.gz
+mv Prowlarr /opt
+chmod 775 /opt/Prowlarr
+msg_ok "Installed Prowlarr"
+
+msg_info "Creating Service"
+cat </etc/systemd/system/prowlarr.service
+[Unit]
+Description=Prowlarr Daemon
+After=syslog.target network.target
+[Service]
+UMask=0002
+Type=simple
+ExecStart=/opt/Prowlarr/Prowlarr -nobrowser -data=/var/lib/prowlarr/
+TimeoutStopSec=20
+KillMode=process
+Restart=on-failure
+[Install]
+WantedBy=multi-user.target
+EOF
+systemctl -q daemon-reload
+systemctl enable --now -q prowlarr
+msg_ok "Created Service"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+rm -rf Prowlarr.master.*.tar.gz
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"
diff --git a/install/radarr-v5-install.sh b/install/radarr-v5-install.sh
new file mode 100644
index 00000000..63536c41
--- /dev/null
+++ b/install/radarr-v5-install.sh
@@ -0,0 +1,142 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y sqlite3
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Radarr"
+mkdir -p /var/lib/radarr/
+chmod 775 /var/lib/radarr/
+$STD wget --content-disposition 'https://radarr.servarr.com/v1/update/master/updatefile?os=linux&runtime=netcore&arch=x64'
+$STD tar -xvzf Radarr.master.*.tar.gz
+mv Radarr /opt
+chmod 775 /opt/Radarr
+msg_ok "Installed Radarr"
+
+msg_info "Creating Service"
+cat </etc/systemd/system/radarr.service
+[Unit]
+Description=Radarr Daemon
+After=syslog.target network.target
+[Service]
+UMask=0002
+Type=simple
+ExecStart=/opt/Radarr/Radarr -nobrowser -data=/var/lib/radarr/
+TimeoutStopSec=20
+KillMode=process
+Restart=on-failure
+[Install]
+WantedBy=multi-user.target
+EOF
+systemctl -q daemon-reload
+systemctl enable --now -q radarr
+msg_ok "Created Service"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+rm -rf Radarr.master.*.tar.gz
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"
diff --git a/install/readarr-v5-install.sh b/install/readarr-v5-install.sh
new file mode 100644
index 00000000..4ab6fd6c
--- /dev/null
+++ b/install/readarr-v5-install.sh
@@ -0,0 +1,142 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y sqlite3
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Readarr"
+mkdir -p /var/lib/readarr/
+chmod 775 /var/lib/readarr/
+$STD wget --content-disposition 'https://readarr.servarr.com/v1/update/develop/updatefile?os=linux&runtime=netcore&arch=x64'
+$STD tar -xvzf Readarr.develop.*.tar.gz
+mv Readarr /opt
+chmod 775 /opt/Readarr
+msg_ok "Installed Readarr"
+
+msg_info "Creating Service"
+cat </etc/systemd/system/readarr.service
+[Unit]
+Description=Readarr Daemon
+After=syslog.target network.target
+[Service]
+UMask=0002
+Type=simple
+ExecStart=/opt/Readarr/Readarr -nobrowser -data=/var/lib/readarr/
+TimeoutStopSec=20
+KillMode=process
+Restart=on-failure
+[Install]
+WantedBy=multi-user.target
+EOF
+systemctl -q daemon-reload
+systemctl enable --now -q readarr
+msg_ok "Created Service"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+rm -rf Readarr.develop.*.tar.gz
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"
diff --git a/install/sonarr-v5-install.sh b/install/sonarr-v5-install.sh
new file mode 100644
index 00000000..19deb39c
--- /dev/null
+++ b/install/sonarr-v5-install.sh
@@ -0,0 +1,121 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y gnupg
+$STD apt-get install -y ca-certificates
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Sonarr"
+$STD apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 2009837CBFFD68F45BC180471F4F90DE2A9B4BF8
+sh -c 'echo "deb https://apt.sonarr.tv/debian buster-develop main" > /etc/apt/sources.list.d/sonarr.list'
+$STD apt-get update
+$STD apt-get install -y sonarr
+msg_ok "Installed Sonarr"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"
diff --git a/install/whisparr-v5-install.sh b/install/whisparr-v5-install.sh
new file mode 100644
index 00000000..f05cf265
--- /dev/null
+++ b/install/whisparr-v5-install.sh
@@ -0,0 +1,142 @@
+#!/usr/bin/env bash
+if [ "$VERBOSE" == "yes" ]; then set -x; fi
+YW=$(echo "\033[33m")
+RD=$(echo "\033[01;31m")
+BL=$(echo "\033[36m")
+GN=$(echo "\033[1;92m")
+CL=$(echo "\033[m")
+RETRY_NUM=10
+RETRY_EVERY=3
+NUM=$RETRY_NUM
+CM="${GN}✓${CL}"
+CROSS="${RD}✗${CL}"
+BFR="\\r\\033[K"
+HOLD="-"
+set -o errexit
+set -o errtrace
+set -o nounset
+set -o pipefail
+shopt -s expand_aliases
+alias die='EXIT=$? LINE=$LINENO error_exit'
+trap die ERR
+silent() { "$@" > /dev/null 2>&1; }
+function error_exit() {
+ trap - ERR
+ local reason="Unknown failure occurred."
+ local msg="${1:-$reason}"
+ local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+ echo -e "$flag $msg" 1>&2
+ exit $EXIT
+}
+
+function msg_info() {
+ local msg="$1"
+ echo -ne " ${HOLD} ${YW}${msg}..."
+}
+
+function msg_ok() {
+ local msg="$1"
+ echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
+}
+function msg_error() {
+ local msg="$1"
+ echo -e "${BFR} ${CROSS} ${RD}${msg}${CL}"
+}
+
+msg_info "Setting up Container OS"
+sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
+locale-gen >/dev/null
+while [ "$(hostname -I)" = "" ]; do
+ echo 1>&2 -en "${CROSS}${RD} No Network! "
+ sleep $RETRY_EVERY
+ ((NUM--))
+ if [ $NUM -eq 0 ]; then
+ echo 1>&2 -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
+ exit 1
+ fi
+done
+msg_ok "Set up Container OS"
+msg_ok "Network Connected: ${BL}$(hostname -I)"
+
+set +e
+alias die=''
+if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else
+ msg_error "Internet NOT Connected"
+ read -r -p "Would you like to continue anyway? " prompt
+ if [[ $prompt == "y" || $prompt == "Y" || $prompt == "yes" || $prompt == "Yes" ]]; then
+ echo -e " ⚠️ ${RD}Expect Issues Without Internet${CL}"
+ else
+ echo -e " 🖧 Check Network Settings"
+ exit 1
+ fi
+fi
+RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
+if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
+
+msg_info "Updating Container OS"
+$STD apt-get update
+$STD apt-get -y upgrade
+msg_ok "Updated Container OS"
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y curl
+$STD apt-get install -y sudo
+$STD apt-get install -y sqlite3
+msg_ok "Installed Dependencies"
+
+msg_info "Installing Whisparr"
+mkdir -p /var/lib/whisparr/
+chmod 775 /var/lib/whisparr/
+$STD wget --content-disposition 'https://whisparr.servarr.com/v1/update/nightly/updatefile?os=linux&runtime=netcore&arch=x64'
+$STD tar -xvzf Whisparr.develop.*.tar.gz
+mv Whisparr /opt
+chmod 775 /opt/Whisparr
+msg_ok "Installed Whisparr"
+
+msg_info "Creating Service"
+cat </etc/systemd/system/whisparr.service
+[Unit]
+Description=whisparr Daemon
+After=syslog.target network.target
+[Service]
+UMask=0002
+Type=simple
+ExecStart=/opt/Whisparr/Whisparr -nobrowser -data=/var/lib/whisparr/
+TimeoutStopSec=20
+KillMode=process
+Restart=on-failure
+[Install]
+WantedBy=multi-user.target
+EOF
+systemctl -q daemon-reload
+systemctl enable --now -q whisparr
+msg_ok "Created Service"
+
+PASS=$(grep -w "root" /etc/shadow | cut -b6)
+if [[ $PASS != $ ]]; then
+ msg_info "Customizing Container"
+ chmod -x /etc/update-motd.d/*
+ touch ~/.hushlogin
+ GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
+ mkdir -p $(dirname $GETTY_OVERRIDE)
+ cat <$GETTY_OVERRIDE
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
+EOF
+ systemctl daemon-reload
+ systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
+ msg_ok "Customized Container"
+fi
+if [[ "${SSH_ROOT}" == "yes" ]]; then
+ sed -i "s/#PermitRootLogin prohibit-password/PermitRootLogin yes/g" /etc/ssh/sshd_config
+ systemctl restart sshd
+fi
+
+msg_info "Cleaning up"
+rm -rf Whisparr.develop.*.tar.gz
+$STD apt-get autoremove
+$STD apt-get autoclean
+msg_ok "Cleaned"